Subject: RE: [rohc] question: default slope for TS for Tsc = 0 or 1

From: [email-masked]
Date: Mon, 16 Jun 2003 16:11:28 -0500

Alan,

Both are correct. But perhaps the first one needs clarification.

> If value(Tsc) = 1, Scaled RTP Timestamp encoding is used before
> compression (see section 4.5.3), and default-slope(TS) = 1.

This is intended to say that the default-slope of TS *after* scaling
is 1. I.e., every increase of 1 for SN means an increase of 1 for
scaled TS.

> If value(Tsc) = 0, the Timestamp value is compressed as-is, and
> default-slope(TS) = value(TS_STRIDE).

Since TS is not scaled, the default slope (w.r.t. SN) of TS is the
value of TS_STRIDE, which is 1 by default (section 5.7.5.2). 

(I see you already figured this out yourself.)

BR,
Zhigang

> -----Original Message-----
> From: ext Alan Kennington [mailto:[email-masked]]
> Sent: June 15, 2003 05:20 AM
> To: ROHC mailing list
> Subject: [rohc] question: default slope for TS for Tsc = 0 or 1
> 
> 
> On page 75 of RFC 3095, section 5.7, there's this:
> 
> ======================================================
>    TS: The compressed RTP Timestamp value.
> 
>       If value(TIME_STRIDE) > 0, timer-based compression of the RTP
>       Timestamp is used (see section 4.5.4).
> 
>       If value(Tsc) = 1, Scaled RTP Timestamp encoding is used before
>       compression (see section 4.5.3), and default-slope(TS) = 1.
> 
>       If value(Tsc) = 0, the Timestamp value is compressed as-is, and
>       default-slope(TS) = value(TS_STRIDE).
> ======================================================
> 
> This doesn't seem right to me.
> Surely if Tsc = 1, then default-slope(TS) = value(TS_STRIDE), and
> if Tsc = 0, then default-slope(TS) = 1.
> 
> Is this an error? Or have I misunderstood something?
> There's nothing on this in the Implementer's guide.
> 
> Cheers,
> Alan Kennington.
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rohc
> 
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc